Skip to main content

Card Payments

Accept Visa and Mastercard payments from customers across Africa and internationally.

Supported Cards

NetworkType3D Secure
VisaCredit, Debit, Prepaid✅ Supported
MastercardCredit, Debit, Prepaid✅ Supported

Create a card payment

curl -X POST https://api.ikawaari.com/v1/payment-intents \
-H "Authorization: Bearer ik_test_your_key" \
-H "Content-Type: application/json" \
-d '{
"amount": 15000,
"currency": "XOF",
"payment_method_types": ["card"],
"confirm": true,
"payment_method_data": {
"type": "card",
"card": {
"number": "4242424242424242",
"exp_month": 12,
"exp_year": 2027,
"cvc": "123"
}
}
}'

3D Secure Authentication

For cards enrolled in 3D Secure, the payment will require additional authentication:

{
"id": "pi_abc123",
"status": "requires_action",
"next_action": {
"type": "redirect_to_url",
"redirect_to_url": {
"url": "https://hooks.ikawaari.com/3ds/redirect/...",
"return_url": "https://yoursite.com/payment/complete"
}
}
}

Redirect the customer to the url. After authentication, they'll be redirected back to your return_url.

Testing

See Test Cards for sandbox test card numbers.